Get comprehensive dashboard metrics
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"breakdowns": {
"byAge": [
{
"bucket": "<string>",
"value": 123
}
],
"byReason": {},
"byRule": [
{
"count": 123,
"id": "<string>",
"name": "<string>"
}
],
"bySeverity": {}
},
"summary": {
"criticalExposure": "<string>",
"matchRate": 123,
"oldestExceptionAgeHours": 123,
"pendingExceptions": 123,
"totalMatches": 123,
"totalTransactions": 123
},
"trends": {
"dates": [
"<string>"
],
"exceptions": [
123
],
"ingestion": [
123
],
"matchRates": [
123
],
"matches": [
123
]
},
"updatedAt": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Get comprehensive dashboard metrics
Use this endpoint to retrieve complete dashboard metrics including summary, trends, and breakdowns for the Command Center.
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
dashboard
/
metrics
Get comprehensive dashboard metrics
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"breakdowns": {
"byAge": [
{
"bucket": "<string>",
"value": 123
}
],
"byReason": {},
"byRule": [
{
"count": 123,
"id": "<string>",
"name": "<string>"
}
],
"bySeverity": {}
},
"summary": {
"criticalExposure": "<string>",
"matchRate": 123,
"oldestExceptionAgeHours": 123,
"pendingExceptions": 123,
"totalMatches": 123,
"totalTransactions": 123
},
"trends": {
"dates": [
"<string>"
],
"exceptions": [
123
],
"ingestion": [
123
],
"matchRates": [
123
],
"matches": [
123
]
},
"updatedAt": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the reconciliation context.
Query Parameters
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Source ID filter
Was this page helpful?

